<?php
/**********************************************************************
***********************************************************************/

                
class setup_app extends application
{
    function __construct()
    {
        parent::__construct("system", _($this->help_context = "S&etup"));

		$this->add_module(_("Company Setup"));
		$this->add_lapp_function(0, _("&Company Setup"),"admin/company_preferences.php?", 'SA_SETUPCOMPANY', MENU_SETTINGS);
		$this->add_lapp_function(0, _("&User Accounts Setup"),"admin/users.php?", 'SA_USERS', MENU_SETTINGS);
		$this->add_lapp_function(0, _("&Access Setup"),"admin/security_roles.php?", 'SA_SECROLES', MENU_SETTINGS);
        $this->add_lapp_function(0, _("&User Data Access"),"admin/data_access_groups.php?", 'SA_SECROLES', MENU_SETTINGS);
		$this->add_lapp_function(0, _("&Display Setup"),"admin/display_prefs.php?", 'SA_SETUPDISPLAY', MENU_SETTINGS);
		$this->add_lapp_function(0, _("&Forms Setup"),"admin/forms_setup.php?", 'SA_FORMSETUP', MENU_SETTINGS);
		
        $this->add_rapp_function(0, _("&Job Queue"),"jobq/inquiry/jobq_requests_inquiry.php?", 'SA_JOQ_REQ_INQ', MENU_MAINTENANCE);
        $this->add_rapp_function(0, _("&Taxes"),"taxes/tax_types.php?", 'SA_TAXRATES', MENU_MAINTENANCE);
		$this->add_rapp_function(0, _("Tax &Groups"),"taxes/tax_groups.php?", 'SA_TAXGROUPS', MENU_MAINTENANCE);
		$this->add_rapp_function(0, _("Item Ta&x Types"),"taxes/item_tax_types.php?", 'SA_ITEMTAXTYPE', MENU_MAINTENANCE);
		$this->add_rapp_function(0, _("System and &General GL Setup"),"admin/gl_setup.php?", 'SA_GLSETUP', MENU_SETTINGS);
		$this->add_rapp_function(0, _("&Fiscal Years"),"admin/fiscalyears.php?", 'SA_FISCALYEARS', MENU_MAINTENANCE);
		$this->add_rapp_function(0, _("&Print Profiles"),"admin/print_profiles.php?", 'SA_PRINTPROFILE', MENU_MAINTENANCE);                
		$this->add_rapp_function(0, _("&Months"),"admin/months.php?", 'SA_MONTHS', MENU_MAINTENANCE);

		$this->add_module(_("Miscellaneous"));
		$this->add_lapp_function(1, _("Pa&yment Terms"),"admin/payment_terms.php?", 'SA_PAYTERMS', MENU_MAINTENANCE);
		$this->add_lapp_function(1, _("Shi&pping Company"),"admin/shipping_companies.php?", 'SA_SHIPPING', MENU_MAINTENANCE);
        $this->add_lapp_function(1, _("&List Values"),"admin/list_values.php?", 'SA_LIST_VALUES', MENU_MAINTENANCE);
        $this->add_lapp_function(1, _("&Order Categories"),"admin/order_categories.php?", 'SA_ORDER_CATEGORIES', MENU_MAINTENANCE);
        $this->add_lapp_function(1, _("&Order Category Parameters"),"admin/order_category_parameters.php?", 'SA_ORDER_CATEGORIES', MENU_MAINTENANCE);
        
        
//        $this->add_lapp_function(1, _("Dashboard Setup"),"dashboard/dashboard_setup.php", 'SA_DASHBOARDSETUP', MENU_MAINTENANCE);
//        $this->add_lapp_function(1, _("Reminder Setup"),"dashboard/reminder_setup.php", 'SA_DASHBOARDREMINDERS',MENU_MAINTENANCE);
                
		$this->add_rapp_function(1, _("POS &Users"),"admin/pos_users.php?", 'SA_USERS', MENU_MAINTENANCE);
        $this->add_rapp_function(1, _("&Points of Sale"),"sales/manage/sales_points.php?", 'SA_POSSETUP', MENU_MAINTENANCE);
		$this->add_rapp_function(1, _("&Printers"),"admin/printers.php?", 'SA_PRINTERS', MENU_MAINTENANCE);
		$this->add_rapp_function(1, _("Contact &Categories"),"admin/crm_categories.php?", 'SA_CRMCATEGORY', MENU_MAINTENANCE);
        $this->add_rapp_function(1, _("&User Activity Inquiry"),"admin/user_activity_inquiry.php?", 'SA_USERS', MENU_MAINTENANCE);
		$this->add_rapp_function(1, _("&System Users Inquiry"),"admin/system_users_inquiry.php?", 'SA_USERS', MENU_MAINTENANCE);
        
        $this->add_rapp_function(1, "", "");
        
        $this->add_rapp_function(1, _("Admin &Reports"),"reporting/reports_main.php?Class=".RC_ADMIN, 'SA_ITEMSTRANSVIEW', MENU_MAINTENANCE);
                


		$this->add_module(_("Maintenance"));
        $this->add_lapp_function(2, _("&Lists"),"admin/lists.php?", 'SA_LISTS', MENU_MAINTENANCE);
        $this->add_lapp_function(2, _("&Cheque Printing Templates"),"admin/cheque_printing_templates.php?", 'SA_CHEQUE_PRINTING_TEMPLATES', MENU_MAINTENANCE);
        
		$this->add_lapp_function(2, _("Backup database"),"admin/backups.php?", 'SA_BACKUP', MENU_MAINTENANCE);
//        $this->add_lapp_function(2, _("Backup mysql database"),
//			"admin/backup_database.php?", 'SA_VIEWPRINTTRANSACTION', MENU_MAINTENANCE);
        
		$this->add_lapp_function(2, _("&Attach Documents"),"admin/attachments.php?filterType=20", 'SA_ATTACHDOCUMENT', MENU_MAINTENANCE);
        $this->add_lapp_function(2, _("Bank GL Mismatches Inquiry"),"gl/inquiry/bank_account_transactions_mismatches.php?", 'SA_RECONCILE', MENU_MAINTENANCE);

        
                
		$this->add_rapp_function(2, _("Inventory Rebuild"),"admin/inventory_rebuild.php?", 'SA_INVENTORY_REBUILD', MENU_MAINTENANCE);
        $this->add_rapp_function(2, _("Data Import"),"admin/data_import.php?", 'SA_DATA_IMPORT', MENU_MAINTENANCE);
        $this->add_rapp_function(2, _("Run Custom Script"),"admin/run_custom_sript.php?", 'SA_RUN_CUSTOM_SCRIPT', MENU_MAINTENANCE);
        $this->add_rapp_function(2, _("Run Custom Program"),"admin/run_custom_program.php?", 'SA_RUN_CUSTOM_SCRIPT', MENU_MAINTENANCE);
        
            

                
                
		$this->add_extensions();
	}
}


?>